Bug 5379 - (int-142834) Missing shortcut to edit addressbook entry from recent calls list
(int-142834)
: Missing shortcut to edit addressbook entry from recent calls list
Status: RESOLVED WONTFIX
Product: Chat & Call & SMS
Call Application UI
: 5.0/(1.2009.41-10)
: N900 Linux
: Low enhancement with 8 votes (vote)
: 5.0+
Assigned To: rtcomm@maemo.org
: call-ui-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-13 15:43 UTC by Kaj-Michael Lang
Modified: 2011-01-18 17:05 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Kaj-Michael Lang (reporter) 2009-10-13 15:43:45 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:
Missing shortcut to edit addressbook entry from Recent/Missed/"Select contact" 
lists in phone application.
The menu only offers options to call someone. To edit you need way too many
steps. First go back to the desktop, find the address book, find the entry,
open it and then select edit from the menu, instead of going directly to
editing an entry from the phone app.

EXPECTED OUTCOME:
"Edit contact" in the offered menu.

ACTUAL OUTCOME:
No such shortcut

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.14)
Gecko/2009091812 Firefox/3.0.13
Comment 1 Andre Klapper maemo.org 2009-10-13 19:37:02 UTC
That's true - one can merge with a contact, but cannot easily create a new one.
Good point. Feel free to vote for this bug.
Comment 2 Mikhail Zabaluev nokia 2009-10-14 14:56:41 UTC
A dialog redesign is in the pipeline.
Comment 3 gidyn 2009-12-24 15:44:56 UTC
Does this apply to SMS contacts as well, or should I file a new bug?
Comment 4 Andre Klapper maemo.org 2011-01-18 17:05:45 UTC
WONTFIX for Maemo5 according to Nokia:
"Editing a contact is rare use case. It is considered as nice to have.", but
there are no plans to implement this for Maemo5 currently.

MeeGo Handset is where the unstable development is taking place. If you are a
developer (not a "normal" user) feedback about / retesting on MeeGo Handset
issues is specially welcome, e.g. via the MeeGo bugtracker at
https://bugs.meego.com.
Please note that MeeGo for the Nokia N900 is unstable and by no means ready for
end-users. See http://wiki.meego.com/ARM/N900 for more information and be aware
of the risks of trying unstable software.